- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

# SetControlCommand Class Reference

`#include <Command.h>`

Inheritance diagram for SetControlCommand:

List of all members.

## Public Member Functions
| SetControlCommand (Object *object)
| SetControlCommand (List *command)
void | execute ()
std::string | getString ()
## Static Public Member Functions
static std::string | id ()
## Private Attributes
Object * | _object
## Static Private Attributes
static const std::string | _id = "setControl"

## Detailed Description

Definition at line 249 of file Command.h.

## Constructor & Destructor Documentation

SetControlCommand::SetControlCommand | ( | Object * | object | ) |

| Definition at line 11 of file SetControlCommand.cpp.

SetControlCommand::SetControlCommand | ( | List * | command | ) |

| Definition at line 17 of file SetControlCommand.cpp. References _object, List::firstString(), Level::getObject(), Level::instance(), and List::rest().

## Member Function Documentation

void SetControlCommand::execute | ( |  | ) | `[virtual]`

| Implements Command. Definition at line 23 of file SetControlCommand.cpp. References _object, Control::detachAllControllers(), and Control::registerController().

std::string SetControlCommand::getString | ( |  | ) | `[virtual]`

| Implements Command. Definition at line 29 of file SetControlCommand.cpp. References _id, _object, List::getString(), Object::id(), and List::snoc().

static std::string SetControlCommand::id | ( |  | ) | `[inline, static]`

| Definition at line 257 of file Command.h. References _id. Referenced by Command::loadCommand().

## Member Data Documentation

const std::string SetControlCommand::_id = "setControl"`[static, private]`

| Definition at line 260 of file Command.h. Referenced by getString(), and id().

Object* SetControlCommand::_object`[private]`

| Definition at line 259 of file Command.h. Referenced by execute(), getString(), and SetControlCommand().

The documentation for this class was generated from the following files:

- C:/Documents and Settings/jegan/Desktop/projectX/Command.h
- C:/Documents and Settings/jegan/Desktop/projectX/SetControlCommand.cpp